import { CanActivate, ActivatedRouteSnapshot, RouterStateSnapshot } from '@angular/router';
import { Observable } from 'rxjs';
import { AuthorizationService } from '../services/authentication/authorization.service';
import { NotificationService } from '@xdf/commons';
import { TranslateService } from '@ngx-translate/core';
export declare class ResourceAuthGuard implements CanActivate {
    private authorizationService;
    private notificationService;
    private translate;
    constructor(authorizationService: AuthorizationService, notificationService: NotificationService, translate: TranslateService);
    canActivate(route: ActivatedRouteSnapshot, state: RouterStateSnapshot): boolean | Observable<boolean> | Promise<boolean>;
}
