import { HttpClient } from '@angular/common/http';
import { Observable } from 'rxjs';
export declare class NavigationService {
    private http;
    private backAnnouncedSource;
    private refreshAnnouncedSource;
    backAnnounced$: Observable<void>;
    refreshAnnounced$: Observable<void>;
    constructor(http: HttpClient);
    getJSON(): Observable<any>;
    getProgramsByRol(): Observable<Object>;
    back(): void;
    refresh(): void;
    saveCurrentRole(roleId: string): Observable<object>;
}
