import { Resolve, ActivatedRouteSnapshot } from '@angular/router';
import { DefinitionDynaViewService } from '../services/definition-dyna-view.service';
import { Definition } from '../template/model/definition';
import { InitCommonsService, NotificationService } from '@xdf/commons';
import { HttpClient } from '@angular/common/http';
import { TranslateService } from '@ngx-translate/core';
export declare class TemplateResolver implements Resolve<Definition> {
    private api;
    private init;
    private http;
    private notificationService;
    private translate;
    constructor(api: DefinitionDynaViewService, init: InitCommonsService, http: HttpClient, notificationService: NotificationService, translate: TranslateService);
    resolve(route: ActivatedRouteSnapshot): any;
}
