import { OnChanges, AfterViewInit, AfterViewChecked, SimpleChanges, ElementRef } from '@angular/core';
export declare class HighlightDirective implements OnChanges, AfterViewInit, AfterViewChecked {
    private el;
    searchText: any;
    caseSensitive: boolean;
    private viewRendered;
    private WRAPPER_TOKEN;
    private readonly caseSensitivity;
    constructor(el: ElementRef);
    ngOnChanges(changes: SimpleChanges): void;
    ngAfterViewInit(): void;
    ngAfterViewChecked(): void;
    highlightSearchText(): void;
    private markMatchedTextTokens;
    private markMatchedTextAndRemoveUniqueTokens;
    private traverseNodesInElement;
    private wrapUniqueTokensAroundMatchedText;
    private traverseHtmlElementsTree;
    private removePreviouslyMarkedTextInNode;
    private getSearchText;
    private getUniqueTokenWrappedSearchText;
    private escapeRegExp;
}
